package operation

import "shylinux.com/x/ice"

type cloud struct{ Table }

func init() { ice.TeamCtxCmd(cloud{}) }

type CloudType int

const (
	CloudSystem CloudType = iota
	CloudLocal
	CloudAliyun
	CloudTencent
)

var CloudTypeList = map[CloudType]string{
	CloudSystem:  "system",
	CloudLocal:   "local",
	CloudAliyun:  "aliyun",
	CloudTencent: "tencent",
}

func (s CloudType) String() string { return CloudTypeList[s] }
